# MongoDB Atlas

### Supported Platforms

| Platform            | Metrics | Logs | Traces |
| ------------------- | ------- | ---- | ------ |
| Linux               | ✓       | ✓    |        |
| Windows             | ✓       | ✓    |        |
| macOS               | ✓       | ✓    |        |
| Kubernetes Cluster  | ✓       | ✓    |        |
| OpenShift 4 Cluster | ✓       | ✓    |        |

### Configuration Table

<table><thead><tr><th width="164.0625">Parameter</th><th width="183.5703125">Type</th><th>Default</th><th>Description</th></tr></thead><tbody><tr><td>telemetry_types</td><td><code>telemetrySelector</code></td><td><code>["Logs", "Metrics"]</code></td><td>Choose Telemetry Type.</td></tr><tr><td>log_project_name*</td><td><code>string</code></td><td>""</td><td>Project to collect logs for.</td></tr><tr><td>collect_audit_logs</td><td><code>bool</code></td><td>false</td><td>Enable to collect Audit Logs. It must be enabled on the project, and the API Key must have Organization Owner permissions.</td></tr><tr><td>log_filter_mode*</td><td><code>enum</code></td><td>All</td><td>Mode of filtering clusters. Either collect from all clusters or specify an inclusive list or exclusive list. Valid values: <code>All</code>, <code>Inclusive</code>, <code>Exclusive</code></td></tr><tr><td>log_include_clusters</td><td><code>strings</code></td><td></td><td>Clusters in the project to collect logs from. Applicable if <code>log_filter_mode</code> is <code>Inclusive</code></td></tr><tr><td>log_exclude_clusters</td><td><code>strings</code></td><td></td><td>Clusters in the project to exclude from log collection. Applicable if <code>log_filter_mode</code> is <code>Exclusive</code></td></tr><tr><td>public_key*</td><td><code>string</code></td><td>""</td><td>API Public Key with at least Organization Read Only permissions.</td></tr><tr><td>private_key*</td><td><code>string</code></td><td>""</td><td>API Private Key.</td></tr><tr><td>collection_interval</td><td><code>int</code></td><td>180</td><td>Sets how often (seconds) to scrape for</td></tr><tr><td>granularity</td><td><code>enum</code></td><td>PT1M</td><td>Duration interval between measurement data points. Read more <a href="https://www.mongodb.com/docs/api/doc/atlas-admin-api-v2/operation/operation-gethostmeasurements#operation-gethostmeasurements-granularity">here</a>. Valid values: <code>PT1M</code>, <code>PT5M</code>, <code>PT1H</code>, <code>P1D</code></td></tr><tr><td>enable_alerts</td><td><code>bool</code></td><td>false</td><td>Enable to collect alerts.</td></tr><tr><td>alert_collection_mode*</td><td><code>enum</code></td><td>poll</td><td>Method of collecting alerts. In <code>poll</code> mode alerts are scraped from the API. In <code>listen</code> mode a server is set up to listen for incoming alerts. Valid values: <code>poll</code>, <code>listen</code>.</td></tr><tr><td>alert_project_name*</td><td><code>string</code></td><td>""</td><td>Project to collect alerts from. Applicable if <code>alert_collection_mode</code> is <code>poll</code>.</td></tr><tr><td>alert_filter_mode*</td><td><code>enum</code></td><td>All</td><td>Mode of filtering clusters. Either collect from all clusters or specify an inclusive list or exclusive list. Applicable if <code>alert_collection_mode</code> is <code>poll</code>. Valid values: <code>All</code>, <code>Inclusive</code>, <code>Exclusive</code>.</td></tr><tr><td>alert_include_clusters</td><td><code>strings</code></td><td></td><td>Clusters in the project to collect alerts from. Applicable if <code>log_filter_mode</code> is <code>Inclusive</code> and <code>alert_collection_mode</code> is <code>poll</code>.</td></tr><tr><td>alert_exclude_clusters</td><td><code>strings</code></td><td></td><td>Clusters in the project to exclude from the alert collection. Applicable if <code>log_filter_mode</code> is <code>Exclusive</code> and <code>alert_collection_mode</code> is <code>poll</code>.</td></tr><tr><td>page_size</td><td><code>int</code></td><td>100</td><td>The number of alerts to collect per API request. Applicable if <code>alert_collection_mode</code> is <code>poll</code>.</td></tr><tr><td>max_pages</td><td><code>int</code></td><td>10</td><td>The limit of how many pages of alerts will be requested per project. Applicable if <code>alert_collection_mode</code> is <code>poll</code>.</td></tr><tr><td>listen_secret*</td><td><code>string</code></td><td>""</td><td>Secret key configured for push notifications. Applicable if <code>alert_collection_mode</code> is <code>listen</code>.</td></tr><tr><td>listen_endpoint*</td><td><code>string</code></td><td>"0.0.0.0:4396"</td><td>Local "ip:port" to bind to, to listen for incoming webhooks. Applicable if <code>alert_collection_mode</code> is <code>listen</code>.</td></tr><tr><td>enable_listen_tls</td><td><code>bool</code></td><td>false</td><td>Enable TLS for alert webhook server. Applicable if <code>alert_collection_mode</code> is <code>listen</code>.</td></tr><tr><td>listen_tls_key_file</td><td><code>string</code></td><td>""</td><td>Local path to the TLS key file. Applicable if <code>enable_listen_tls</code> is true and <code>alert_collection_mode</code> is <code>listen</code>.</td></tr><tr><td>listen_tls_cert_file</td><td><code>string</code></td><td>""</td><td>Local path to the TLS cert file. Applicable if <code>enable_listen_tls</code> is true and <code>alert_collection_mode</code> is <code>listen</code>.</td></tr></tbody></table>

<mark style="color:red;">\*</mark>*<mark style="color:red;">required field</mark>*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bindplane.com/integrations/sources/mongodb-atlas.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
